﻿using System;
using System.Drawing;
using System.Xml.Serialization;
using Experior.Core.Assemblies;

namespace Experior.Catalog.Assemblies
{
    public class MyAssembly : Assembly
    {
        public MyAssembly(MyAssemblyInfo info)
            : base(info)
        {
        }

        public override string Category => "Assembly";

        public override Image Image => Common.Icons.Get("MyAssembly");
    }

    [Serializable, XmlInclude(typeof(MyAssemblyInfo)), XmlType(TypeName = "Experior.Catalog.Assemblies.MyAssemblyInfo")]
    public class MyAssemblyInfo : Experior.Core.Assemblies.AssemblyInfo
    {
        private readonly static MyAssemblyInfo properties = new MyAssemblyInfo();

        public static object Properties
        {
            get
            {
                properties.color = Experior.Core.Environment.Scene.DefaultColor;
                return properties;
            }
        }
    }
}